Skip to content
Start Trading

Omni AI

ModelsExpand Collapse
class ActionButton:

Button metadata shared by chart and suggested-actions payloads.

String buttonId

Stable button identifier within the content part.

String label

User-visible label.

Optional<String> itemId

Interaction-tracking identity. Absent on messages created before tracking. When a null/undefined value is observed, it indicates that there is no available data.

formatuuid
Optional<PromptButtonAction> prompt

Follow-up prompt to submit as the next user message. When a null/undefined value is observed, it indicates it does not apply.

String prompt

Prompt text to submit as the next user turn.

Optional<StructuredActionButtonAction> structuredAction

Structured action in the same message to execute on click. When a null/undefined value is observed, it indicates it does not apply.

Optional<String> actionId

UUID of a structured_action content part in the same message. When a null/undefined value is observed, it indicates it does not apply.

formatuuid
class ChartPayload:

Typed chart payload rendered inline in assistant content.

String chartId

Stable chart identifier scoped to the content part.

boolean clicked

Whether the current user clicked this chart.

Optional<List<ActionButton>> actionButtons

Buttons associated with this chart.

String buttonId

Stable button identifier within the content part.

String label

User-visible label.

Optional<String> itemId

Interaction-tracking identity. Absent on messages created before tracking. When a null/undefined value is observed, it indicates that there is no available data.

formatuuid
Optional<PromptButtonAction> prompt

Follow-up prompt to submit as the next user message. When a null/undefined value is observed, it indicates it does not apply.

String prompt

Prompt text to submit as the next user turn.

Optional<StructuredActionButtonAction> structuredAction

Structured action in the same message to execute on click. When a null/undefined value is observed, it indicates it does not apply.

Optional<String> actionId

UUID of a structured_action content part in the same message. When a null/undefined value is observed, it indicates it does not apply.

formatuuid
Optional<DataChart> dataChart

Explicit series-driven chart definition. When a null/undefined value is observed, it indicates it does not apply.

Optional<List<ChartSeries>> series
String name
Optional<List<ChartPoint>> points
String x
double y
Optional<String> itemId

Interaction-tracking identity. Absent on messages created before tracking. When a null/undefined value is observed, it indicates that there is no available data.

formatuuid
class ChartPoint:

Single chart coordinate.

String x
double y
class ChartSeries:

Named data series within a chart.

String name
Optional<List<ChartPoint>> points
String x
double y
class ContentPartChartPayload:

Chart payload content part.

ChartPayload payload

Typed chart payload rendered inline in assistant content.

String chartId

Stable chart identifier scoped to the content part.

boolean clicked

Whether the current user clicked this chart.

Optional<List<ActionButton>> actionButtons

Buttons associated with this chart.

String buttonId

Stable button identifier within the content part.

String label

User-visible label.

Optional<String> itemId

Interaction-tracking identity. Absent on messages created before tracking. When a null/undefined value is observed, it indicates that there is no available data.

formatuuid
Optional<PromptButtonAction> prompt

Follow-up prompt to submit as the next user message. When a null/undefined value is observed, it indicates it does not apply.

String prompt

Prompt text to submit as the next user turn.

Optional<StructuredActionButtonAction> structuredAction

Structured action in the same message to execute on click. When a null/undefined value is observed, it indicates it does not apply.

Optional<String> actionId

UUID of a structured_action content part in the same message. When a null/undefined value is observed, it indicates it does not apply.

formatuuid
Optional<DataChart> dataChart

Explicit series-driven chart definition. When a null/undefined value is observed, it indicates it does not apply.

Optional<List<ChartSeries>> series
String name
Optional<List<ChartPoint>> points
String x
double y
Optional<String> itemId

Interaction-tracking identity. Absent on messages created before tracking. When a null/undefined value is observed, it indicates that there is no available data.

formatuuid
class ContentPartCustomPayload:

Escape-hatch custom payload content part.

JsonValue payload
class ContentPartStructuredActionPayload:

Structured action content part.

Structured actions that Omni AI can return to clients.

These actions provide machine-readable instructions for the client to execute, such as prefilling an order ticket, opening a chart, or navigating to a route.

One of the following:
PrefillOrder
PrefillOrderAction prefillOrder

Prefill an order ticket for user confirmation

One of the following:
PrefillNewOrderAction
ActionType actionType
PrefillCancelOrderAction
ActionType actionType
PrefillModifyOrderAction
ActionType actionType
OpenChart
OpenChartAction openChart

Open a chart for a symbol

String symbol

Trading symbol to chart

Optional<JsonValue> extras

Additional chart configuration (indicators, overlays, etc.) When a null/undefined value is observed, it indicates it does not apply.

Optional<String> itemId

Interaction-tracking identity. Absent on messages created before tracking. When a null/undefined value is observed, it indicates that there is no available data.

formatuuid
Optional<String> timeframe

Chart timeframe (e.g., “1D”, “1W”, “1M”, “3M”, “1Y”, “5Y”) When a null/undefined value is observed, it indicates it does not apply.

OpenScreener
OpenScreenerAction openScreener

Open a stock screener with filters

List<ScreenerFilter> filters

Filter criteria for the screener

String field

Field to filter on (e.g., “market_cap”, “sector”, “price”)

String operator

Comparison operator (e.g., “eq”, “gte”, “lte”, “in”)

JsonValue value

Filter value

Optional<List<String>> columns

Optional field/column selection for screener results. When a null/undefined value is observed, it indicates it does not apply.

Optional<String> itemId

Interaction-tracking identity. Absent on messages created before tracking. When a null/undefined value is observed, it indicates that there is no available data.

formatuuid
Optional<Long> pageSize

Optional page size. When a null/undefined value is observed, it indicates it does not apply.

formatint32
Optional<String> sortBy

Optional sort field for screener rows. When a null/undefined value is observed, it indicates it does not apply.

Optional<String> sortDirection

Optional sort direction (ASC or DESC). When a null/undefined value is observed, it indicates it does not apply.

OpenEntitlementConsent

Open entitlement consent flow

Stable entitlement agreement family key.

Interaction-tracking identity. Absent on messages created before tracking. When a null/undefined value is observed, it indicates that there is no available data.

formatuuid
String actionId
boolean clicked

Whether the current user clicked this action.

Optional<List<String>> clickedItemIds

IDs of nested items clicked by the current user.

Optional<String> itemId

Interaction-tracking identity. Absent on messages created before tracking. When a null/undefined value is observed, it indicates that there is no available data.

formatuuid
class ContentPartSuggestedActionsPayload:

Suggested actions payload content part.

Suggested follow-up buttons rendered at the end of an assistant message.

Optional<List<ActionButton>> actionButtons

Ordered message-level buttons.

String buttonId

Stable button identifier within the content part.

String label

User-visible label.

Optional<String> itemId

Interaction-tracking identity. Absent on messages created before tracking. When a null/undefined value is observed, it indicates that there is no available data.

formatuuid
Optional<PromptButtonAction> prompt

Follow-up prompt to submit as the next user message. When a null/undefined value is observed, it indicates it does not apply.

String prompt

Prompt text to submit as the next user turn.

Optional<StructuredActionButtonAction> structuredAction

Structured action in the same message to execute on click. When a null/undefined value is observed, it indicates it does not apply.

Optional<String> actionId

UUID of a structured_action content part in the same message. When a null/undefined value is observed, it indicates it does not apply.

formatuuid
Optional<List<String>> clickedItemIds

IDs of buttons clicked by the current user.

class ContentPartTextPayload:

Text content part.

String text
class ContentPartThinkingPayload:

Thinking content part shown on dynamic response polling.

List<String> thoughts
class DataChart:

Chart represented by explicit data series.

Optional<List<ChartSeries>> series
String name
Optional<List<ChartPoint>> points
String x
double y
enum EntitlementAgreementKey:

Stable entitlement agreement family key.

OMNI_ACCOUNT_DATA_ACCESS("omni_account_data_access")
enum EntitlementCode:

Stable entitlement code granted by an agreement.

OMNI_ACCOUNT_DATA("omni.account_data")
class OpenChartAction:

Action to open a chart for a symbol.

String symbol

Trading symbol to chart

Optional<JsonValue> extras

Additional chart configuration (indicators, overlays, etc.) When a null/undefined value is observed, it indicates it does not apply.

Optional<String> itemId

Interaction-tracking identity. Absent on messages created before tracking. When a null/undefined value is observed, it indicates that there is no available data.

formatuuid
Optional<String> timeframe

Chart timeframe (e.g., “1D”, “1W”, “1M”, “3M”, “1Y”, “5Y”) When a null/undefined value is observed, it indicates it does not apply.

Action to open entitlement consent flow for one or more accounts.

Stable entitlement agreement family key.

Interaction-tracking identity. Absent on messages created before tracking. When a null/undefined value is observed, it indicates that there is no available data.

formatuuid
class OpenScreenerAction:

Action to open a stock screener with filters.

List<ScreenerFilter> filters

Filter criteria for the screener

String field

Field to filter on (e.g., “market_cap”, “sector”, “price”)

String operator

Comparison operator (e.g., “eq”, “gte”, “lte”, “in”)

JsonValue value

Filter value

Optional<List<String>> columns

Optional field/column selection for screener results. When a null/undefined value is observed, it indicates it does not apply.

Optional<String> itemId

Interaction-tracking identity. Absent on messages created before tracking. When a null/undefined value is observed, it indicates that there is no available data.

formatuuid
Optional<Long> pageSize

Optional page size. When a null/undefined value is observed, it indicates it does not apply.

formatint32
Optional<String> sortBy

Optional sort field for screener rows. When a null/undefined value is observed, it indicates it does not apply.

Optional<String> sortDirection

Optional sort direction (ASC or DESC). When a null/undefined value is observed, it indicates it does not apply.

class PrefillCancelOrderAction:

Cancel-order prefill action.

Orders to cancel using the same identifiers required by the cancel-order API.

long accountId

Account ID (from path parameter)

formatint64
String orderId

Order ID to cancel (from path parameter)

Optional<String> itemId

Interaction-tracking identity. Absent on messages created before tracking. When a null/undefined value is observed, it indicates that there is no available data.

formatuuid
class PrefillCancelOrderRequest:

Request to cancel an existing order

Note: In the API, order cancellation is done via DELETE request without a body. The order_id and account_id come from the URL path parameters.

long accountId

Account ID (from path parameter)

formatint64
String orderId

Order ID to cancel (from path parameter)

Optional<String> itemId

Interaction-tracking identity. Absent on messages created before tracking. When a null/undefined value is observed, it indicates that there is no available data.

formatuuid
class PrefillModifyOrderAction:

Modify-order prefill action.

Modification targets and deltas needed to construct replace-order API requests.

Optional<Long> accountId

Account ID that owns the order.

formatint64
Optional<String> itemId

Interaction-tracking identity. Absent on messages created before tracking. When a null/undefined value is observed, it indicates that there is no available data.

formatuuid
Optional<String> limitOffset

New limit offset for trailing stop-limit orders (signed)

Optional<String> limitPrice

New limit price for the order

Optional<String> orderId

Order ID to modify.

Optional<String> quantity

New quantity for the order

Optional<String> stopPrice

New stop price for the order

Optional<String> trailingOffset

New trailing offset for trailing orders

Optional<TrailingOffsetType> trailingOffsetType

New trailing offset type (PRICE or BPS)

One of the following:
PRICE("PRICE")
BPS("BPS")
class PrefillModifyOrderRequest:

Request to replace (modify) an existing order

At least one field must be provided.

Optional<Long> accountId

Account ID that owns the order.

formatint64
Optional<String> itemId

Interaction-tracking identity. Absent on messages created before tracking. When a null/undefined value is observed, it indicates that there is no available data.

formatuuid
Optional<String> limitOffset

New limit offset for trailing stop-limit orders (signed)

Optional<String> limitPrice

New limit price for the order

Optional<String> orderId

Order ID to modify.

Optional<String> quantity

New quantity for the order

Optional<String> stopPrice

New stop price for the order

Optional<String> trailingOffset

New trailing offset for trailing orders

Optional<TrailingOffsetType> trailingOffsetType

New trailing offset type (PRICE or BPS)

One of the following:
PRICE("PRICE")
BPS("BPS")
class PrefillNewOrderAction:

New-order prefill action.

Orders to prefill using the same shape accepted by the orders API.

Type of order

One of the following:
MARKET("MARKET")
LIMIT("LIMIT")
STOP("STOP")
STOP_LIMIT("STOP_LIMIT")
TRAILING_STOP("TRAILING_STOP")
TRAILING_STOP_LIMIT("TRAILING_STOP_LIMIT")
String quantity

Quantity to trade. For COMMON_STOCK: shares (may be fractional if supported). For OPTION (single-leg): contracts (must be an integer)

Side side

Side of the order

One of the following:
BUY("BUY")
SELL("SELL")
RequestTimeInForce timeInForce

Time in force

One of the following:
DAY("DAY")
GOOD_TILL_CANCEL("GOOD_TILL_CANCEL")
IMMEDIATE_OR_CANCEL("IMMEDIATE_OR_CANCEL")
FILL_OR_KILL("FILL_OR_KILL")
GOOD_TILL_DATE("GOOD_TILL_DATE")
AT_OPEN("AT_OPEN")
AT_CLOSE("AT_CLOSE")
Optional<String> id

Optional client-provided unique ID (idempotency). Required to be unique per account.

maxLength64
Optional<LocalDateTime> expiresAt

The timestamp when the order should expire (UTC). Required when time_in_force is GOOD_TILL_DATE.

formatdate-time
Optional<Boolean> extendedHours

Allow trading outside regular trading hours. Some brokers disallow options outside RTH.

Optional<String> instrumentId

Instrument ID (UUID) or symbol (equity ticker or OSI option symbol). Either symbol or instrument_id must be provided.

minLength1
Optional<String> itemId

Interaction-tracking identity. Absent on messages created before tracking. When a null/undefined value is observed, it indicates that there is no available data.

formatuuid
Optional<String> limitOffset

Limit offset for trailing stop-limit orders (signed)

Optional<String> limitPrice

Limit price (required for LIMIT and STOP_LIMIT orders)

Optional<RequestPositionEffect> positionIntent

Optional open/close intent for this order. When omitted, the platform determines the position effect.

One of the following:
OPEN("OPEN")
CLOSE("CLOSE")
Optional<String> stopPrice

Stop price (required for STOP and STOP_LIMIT orders)

Optional<OrderStrategy> strategy

Optional execution strategy. One of SOR, VWAP, or TWAP. Defaults to SOR. VWAP and TWAP are supported only on MARKET and LIMIT orders with DAY time-in-force, and are not supported on OTC common-stock orders.

One of the following:
Type
InnerType type

Execution strategy type.

UnionMember1
Type type

Execution strategy type.

Optional<LocalDateTime> endAt

UTC timestamp (RFC 3339) by which to finish working the order. Defaults to market close.

formatdate-time
Optional<LocalDateTime> startAt

UTC timestamp (RFC 3339) at which to begin working the order. Defaults to the time the order is received.

formatdate-time
UnionMember2
Type type

Execution strategy type.

Optional<LocalDateTime> endAt

UTC timestamp (RFC 3339) by which to finish working the order. Defaults to market close.

formatdate-time
Optional<LocalDateTime> startAt

UTC timestamp (RFC 3339) at which to begin working the order. Defaults to the time the order is received.

formatdate-time
Optional<String> symbol

Trading symbol. For equities, use the ticker symbol (e.g., “TSLA”). For options, use the OSI symbol (e.g., “TSLA 250117C00190000”). Either symbol or instrument_id must be provided.

Optional<String> trailingOffset

Trailing offset amount (required for trailing orders)

Optional<TrailingOffsetType> trailingOffsetType

Trailing offset type (PRICE or PERCENT_BPS)

One of the following:
PRICE("PRICE")
BPS("BPS")
class PrefillNewOrderRequest:

Request to submit a new order

Type of order

One of the following:
MARKET("MARKET")
LIMIT("LIMIT")
STOP("STOP")
STOP_LIMIT("STOP_LIMIT")
TRAILING_STOP("TRAILING_STOP")
TRAILING_STOP_LIMIT("TRAILING_STOP_LIMIT")
String quantity

Quantity to trade. For COMMON_STOCK: shares (may be fractional if supported). For OPTION (single-leg): contracts (must be an integer)

Side side

Side of the order

One of the following:
BUY("BUY")
SELL("SELL")
RequestTimeInForce timeInForce

Time in force

One of the following:
DAY("DAY")
GOOD_TILL_CANCEL("GOOD_TILL_CANCEL")
IMMEDIATE_OR_CANCEL("IMMEDIATE_OR_CANCEL")
FILL_OR_KILL("FILL_OR_KILL")
GOOD_TILL_DATE("GOOD_TILL_DATE")
AT_OPEN("AT_OPEN")
AT_CLOSE("AT_CLOSE")
Optional<String> id

Optional client-provided unique ID (idempotency). Required to be unique per account.

maxLength64
Optional<LocalDateTime> expiresAt

The timestamp when the order should expire (UTC). Required when time_in_force is GOOD_TILL_DATE.

formatdate-time
Optional<Boolean> extendedHours

Allow trading outside regular trading hours. Some brokers disallow options outside RTH.

Optional<String> instrumentId

Instrument ID (UUID) or symbol (equity ticker or OSI option symbol). Either symbol or instrument_id must be provided.

minLength1
Optional<String> itemId

Interaction-tracking identity. Absent on messages created before tracking. When a null/undefined value is observed, it indicates that there is no available data.

formatuuid
Optional<String> limitOffset

Limit offset for trailing stop-limit orders (signed)

Optional<String> limitPrice

Limit price (required for LIMIT and STOP_LIMIT orders)

Optional<RequestPositionEffect> positionIntent

Optional open/close intent for this order. When omitted, the platform determines the position effect.

One of the following:
OPEN("OPEN")
CLOSE("CLOSE")
Optional<String> stopPrice

Stop price (required for STOP and STOP_LIMIT orders)

Optional<OrderStrategy> strategy

Optional execution strategy. One of SOR, VWAP, or TWAP. Defaults to SOR. VWAP and TWAP are supported only on MARKET and LIMIT orders with DAY time-in-force, and are not supported on OTC common-stock orders.

One of the following:
Type
InnerType type

Execution strategy type.

UnionMember1
Type type

Execution strategy type.

Optional<LocalDateTime> endAt

UTC timestamp (RFC 3339) by which to finish working the order. Defaults to market close.

formatdate-time
Optional<LocalDateTime> startAt

UTC timestamp (RFC 3339) at which to begin working the order. Defaults to the time the order is received.

formatdate-time
UnionMember2
Type type

Execution strategy type.

Optional<LocalDateTime> endAt

UTC timestamp (RFC 3339) by which to finish working the order. Defaults to market close.

formatdate-time
Optional<LocalDateTime> startAt

UTC timestamp (RFC 3339) at which to begin working the order. Defaults to the time the order is received.

formatdate-time
Optional<String> symbol

Trading symbol. For equities, use the ticker symbol (e.g., “TSLA”). For options, use the OSI symbol (e.g., “TSLA 250117C00190000”). Either symbol or instrument_id must be provided.

Optional<String> trailingOffset

Trailing offset amount (required for trailing orders)

Optional<TrailingOffsetType> trailingOffsetType

Trailing offset type (PRICE or PERCENT_BPS)

One of the following:
PRICE("PRICE")
BPS("BPS")
class PrefillOrderAction: A class that can be one of several variants.union

Action to prefill order details for user confirmation.

The user must review and authorize the order before submission to the trading API. This action provides parsed order data that can be used to prefill an order ticket UI or submitted directly via the orders API after user confirmation.

PrefillNewOrderAction
ActionType actionType
PrefillCancelOrderAction
ActionType actionType
PrefillModifyOrderAction
ActionType actionType
class PromptButtonAction:

Prompt-style button behavior.

String prompt

Prompt text to submit as the next user turn.

class StructuredAction: A class that can be one of several variants.union

Structured actions that Omni AI can return to clients.

These actions provide machine-readable instructions for the client to execute, such as prefilling an order ticket, opening a chart, or navigating to a route.

PrefillOrder
PrefillOrderAction prefillOrder

Prefill an order ticket for user confirmation

One of the following:
PrefillNewOrderAction
ActionType actionType
PrefillCancelOrderAction
ActionType actionType
PrefillModifyOrderAction
ActionType actionType
OpenChart
OpenChartAction openChart

Open a chart for a symbol

String symbol

Trading symbol to chart

Optional<JsonValue> extras

Additional chart configuration (indicators, overlays, etc.) When a null/undefined value is observed, it indicates it does not apply.

Optional<String> itemId

Interaction-tracking identity. Absent on messages created before tracking. When a null/undefined value is observed, it indicates that there is no available data.

formatuuid
Optional<String> timeframe

Chart timeframe (e.g., “1D”, “1W”, “1M”, “3M”, “1Y”, “5Y”) When a null/undefined value is observed, it indicates it does not apply.

OpenScreener
OpenScreenerAction openScreener

Open a stock screener with filters

List<ScreenerFilter> filters

Filter criteria for the screener

String field

Field to filter on (e.g., “market_cap”, “sector”, “price”)

String operator

Comparison operator (e.g., “eq”, “gte”, “lte”, “in”)

JsonValue value

Filter value

Optional<List<String>> columns

Optional field/column selection for screener results. When a null/undefined value is observed, it indicates it does not apply.

Optional<String> itemId

Interaction-tracking identity. Absent on messages created before tracking. When a null/undefined value is observed, it indicates that there is no available data.

formatuuid
Optional<Long> pageSize

Optional page size. When a null/undefined value is observed, it indicates it does not apply.

formatint32
Optional<String> sortBy

Optional sort field for screener rows. When a null/undefined value is observed, it indicates it does not apply.

Optional<String> sortDirection

Optional sort direction (ASC or DESC). When a null/undefined value is observed, it indicates it does not apply.

OpenEntitlementConsent

Open entitlement consent flow

Stable entitlement agreement family key.

Interaction-tracking identity. Absent on messages created before tracking. When a null/undefined value is observed, it indicates that there is no available data.

formatuuid
class StructuredActionButtonAction:

Structured-action button behavior.

Optional<String> actionId

UUID of a structured_action content part in the same message. When a null/undefined value is observed, it indicates it does not apply.

formatuuid
class SuggestedActionsPayload:

Suggested follow-up buttons rendered at the end of an assistant message.

Optional<List<ActionButton>> actionButtons

Ordered message-level buttons.

String buttonId

Stable button identifier within the content part.

String label

User-visible label.

Optional<String> itemId

Interaction-tracking identity. Absent on messages created before tracking. When a null/undefined value is observed, it indicates that there is no available data.

formatuuid
Optional<PromptButtonAction> prompt

Follow-up prompt to submit as the next user message. When a null/undefined value is observed, it indicates it does not apply.

String prompt

Prompt text to submit as the next user turn.

Optional<StructuredActionButtonAction> structuredAction

Structured action in the same message to execute on click. When a null/undefined value is observed, it indicates it does not apply.

Optional<String> actionId

UUID of a structured_action content part in the same message. When a null/undefined value is observed, it indicates it does not apply.

formatuuid
Optional<List<String>> clickedItemIds

IDs of buttons clicked by the current user.

Omni AIEntitlements

Thread-centric AI assistant for conversational trading. Create threads to start conversations, poll response objects for in-progress output, and read finalized messages from thread history. Thread/message/response endpoints require an explicit account_id. Entitlement endpoints are caller-scoped and use account_ids.

Get Entitlements
EntitlementGetEntitlementsResponse v1().omniAi().entitlements().getEntitlements(EntitlementGetEntitlementsParamsparams = EntitlementGetEntitlementsParams.none(), RequestOptionsrequestOptions = RequestOptions.none())
GET/v1/omni-ai/entitlements
Create Entitlements
EntitlementCreateEntitlementsResponse v1().omniAi().entitlements().createEntitlements(EntitlementCreateEntitlementsParamsparams, RequestOptionsrequestOptions = RequestOptions.none())
POST/v1/omni-ai/entitlements
Delete Entitlement
EntitlementDeleteEntitlementResponse v1().omniAi().entitlements().deleteEntitlement(EntitlementDeleteEntitlementParamsparams = EntitlementDeleteEntitlementParams.none(), RequestOptionsrequestOptions = RequestOptions.none())
DELETE/v1/omni-ai/entitlements/{entitlement_id}
Get Entitlement Agreements
EntitlementGetEntitlementAgreementsResponse v1().omniAi().entitlements().getEntitlementAgreements(EntitlementGetEntitlementAgreementsParamsparams = EntitlementGetEntitlementAgreementsParams.none(), RequestOptionsrequestOptions = RequestOptions.none())
GET/v1/omni-ai/entitlement-agreements
ModelsExpand Collapse
class DeleteEntitlementResponse:
String entitlementId
boolean revoked
class EntitlementAgreementResource:
String agreementId

Stable entitlement agreement family key.

String documentContent
String documentSha256
List<EntitlementCode> entitlementCodes
String title
long version
class EntitlementResource:
long accountId
String agreementId
EntitlementCode entitlementCode

Stable entitlement code granted by an agreement.

String entitlementId
String grantedAt

Omni AIMessages

Thread-centric AI assistant for conversational trading. Create threads to start conversations, poll response objects for in-progress output, and read finalized messages from thread history. Thread/message/response endpoints require an explicit account_id. Entitlement endpoints are caller-scoped and use account_ids.

Get Message
MessageGetMessageByIdResponse v1().omniAi().messages().getMessageById(MessageGetMessageByIdParamsparams = MessageGetMessageByIdParams.none(), RequestOptionsrequestOptions = RequestOptions.none())
GET/v1/omni-ai/messages/{message_id}
Submit Feedback
MessageSubmitFeedbackResponse v1().omniAi().messages().submitFeedback(MessageSubmitFeedbackParamsparams, RequestOptionsrequestOptions = RequestOptions.none())
POST/v1/omni-ai/messages/{message_id}/feedback
ModelsExpand Collapse
class CreateFeedbackResponse:
String createdAt
Optional<String> feedbackId

When a null/undefined value is observed, it indicates that there is no available data.

formatuuid

Omni AIResponses

Thread-centric AI assistant for conversational trading. Create threads to start conversations, poll response objects for in-progress output, and read finalized messages from thread history. Thread/message/response endpoints require an explicit account_id. Entitlement endpoints are caller-scoped and use account_ids.

Get Response By ID
ResponseGetResponseByIdResponse v1().omniAi().responses().getResponseById(ResponseGetResponseByIdParamsparams = ResponseGetResponseByIdParams.none(), RequestOptionsrequestOptions = RequestOptions.none())
GET/v1/omni-ai/responses/{response_id}
Cancel Response
ResponseCancelResponseResponse v1().omniAi().responses().cancelResponse(ResponseCancelResponseParamsparams = ResponseCancelResponseParams.none(), RequestOptionsrequestOptions = RequestOptions.none())
DELETE/v1/omni-ai/responses/{response_id}
ModelsExpand Collapse
class CancelResponsePayload:
boolean canceled
class ErrorStatus:

Shared sanitized error payload.

String code
String message
Optional<JsonValue> details

When a null/undefined value is observed, it indicates it does not apply.

class Response:

Dynamic pollable response.

String id

Dynamic lifecycle status for a pollable response.

One of the following:
QUEUED("queued")
RUNNING("running")
SUCCEEDED("succeeded")
FAILED("failed")
CANCELED("canceled")
String threadId
String userMessageId
Optional<ResponseContent> content

When a null/undefined value is observed, it indicates that there is no available data.

One of the following:
ContentPartText
Type type
ContentPartThinking
Type type
ContentPartStructuredAction
Type type
ContentPartChart
Type type
ContentPartSuggestedActions
Type type
ContentPartCustom
Type type
Optional<ErrorStatus> error

When a null/undefined value is observed, it indicates it does not apply.

String code
String message
Optional<JsonValue> details

When a null/undefined value is observed, it indicates it does not apply.

Optional<String> outputMessageId

When a null/undefined value is observed, it indicates it does not apply.

formatuuid
class ResponseContent:

Dynamic response content container. May include thinking parts.

One of the following:
ContentPartText
Type type
ContentPartThinking
Type type
ContentPartStructuredAction
Type type
ContentPartChart
Type type
ContentPartSuggestedActions
Type type
ContentPartCustom
Type type
class ResponseContentPart: A class that can be one of several variants.union

Dynamic content part visible on a pollable response.

ContentPartText
Type type
ContentPartThinking
Type type
ContentPartStructuredAction
Type type
ContentPartChart
Type type
ContentPartSuggestedActions
Type type
ContentPartCustom
Type type
enum ResponseStatus:

Dynamic lifecycle status for a pollable response.

QUEUED("queued")
RUNNING("running")
SUCCEEDED("succeeded")
FAILED("failed")
CANCELED("canceled")

Omni AIThreads

Thread-centric AI assistant for conversational trading. Create threads to start conversations, poll response objects for in-progress output, and read finalized messages from thread history. Thread/message/response endpoints require an explicit account_id. Entitlement endpoints are caller-scoped and use account_ids.

Get Threads
ThreadGetThreadsResponse v1().omniAi().threads().getThreads(ThreadGetThreadsParamsparams = ThreadGetThreadsParams.none(), RequestOptionsrequestOptions = RequestOptions.none())
GET/v1/omni-ai/threads
Get Thread
ThreadGetThreadByIdResponse v1().omniAi().threads().getThreadById(ThreadGetThreadByIdParamsparams = ThreadGetThreadByIdParams.none(), RequestOptionsrequestOptions = RequestOptions.none())
GET/v1/omni-ai/threads/{thread_id}
Create Thread
ThreadCreateThreadResponse v1().omniAi().threads().createThread(ThreadCreateThreadParamsparams, RequestOptionsrequestOptions = RequestOptions.none())
POST/v1/omni-ai/threads
Get Thread Response
ThreadGetThreadResponseResponse v1().omniAi().threads().getThreadResponse(ThreadGetThreadResponseParamsparams = ThreadGetThreadResponseParams.none(), RequestOptionsrequestOptions = RequestOptions.none())
GET/v1/omni-ai/threads/{thread_id}/response
Get Messages
ThreadGetMessagesResponse v1().omniAi().threads().getMessages(ThreadGetMessagesParamsparams = ThreadGetMessagesParams.none(), RequestOptionsrequestOptions = RequestOptions.none())
GET/v1/omni-ai/threads/{thread_id}/messages
Create Message
ThreadCreateMessageResponse v1().omniAi().threads().createMessage(ThreadCreateMessageParamsparams, RequestOptionsrequestOptions = RequestOptions.none())
POST/v1/omni-ai/threads/{thread_id}/messages
ModelsExpand Collapse
class ContextItem:

A snapshot of the widget the user asks about.

Data data

Relevant widget data, selections, and units. Use strings for exact decimals and large IDs.

String kind

Nonblank descriptive kind. New kinds do not require a backend release.

minLength1
String label

Nonblank attachment label for conversation rendering.

minLength1
Optional<LocalDateTime> capturedAt

Client-reported snapshot time. Omit when unknown.

formatdate-time
class CreateMessageResponse:

Response payload for continuing a thread with a new message.

String responseId
String threadId
String userMessageId
class CreateThreadResponse:

Response payload for thread creation.

String responseId
String threadId
String userMessageId
class Message:

Final immutable message.

String id

Finalized immutable message content container. Never includes thinking parts.

List<MessageContentPart> parts
One of the following:
ContentPartText
Type type
ContentPartStructuredAction
Type type
ContentPartChart
Type type
ContentPartSuggestedActions
Type type
ContentPartCustom
Type type
LocalDateTime createdAt

Immutable terminal outcome for a finalized assistant message.

One of the following:
COMPLETED("completed")
ERRORED("errored")
CANCELED("canceled")

Finalized message role in the public contract.

One of the following:
USER("USER")
ASSISTANT("ASSISTANT")
long seq
String threadId
Optional<TurnContext> context

Immutable snapshots attached to this user message. Omitted when none were supplied. When a null/undefined value is observed, it indicates that there is no available data.

List<ContextItem> items

One to four snapshots. Each snapshot’s data may contain at most 32 levels of nesting.

Data data

Relevant widget data, selections, and units. Use strings for exact decimals and large IDs.

String kind

Nonblank descriptive kind. New kinds do not require a backend release.

minLength1
String label

Nonblank attachment label for conversation rendering.

minLength1
Optional<LocalDateTime> capturedAt

Client-reported snapshot time. Omit when unknown.

formatdate-time
Optional<ErrorStatus> error

When a null/undefined value is observed, it indicates it does not apply.

String code
String message
Optional<JsonValue> details

When a null/undefined value is observed, it indicates it does not apply.

class MessageContent:

Finalized immutable message content container. Never includes thinking parts.

List<MessageContentPart> parts
One of the following:
ContentPartText
Type type
ContentPartStructuredAction
Type type
ContentPartChart
Type type
ContentPartSuggestedActions
Type type
ContentPartCustom
Type type
class MessageContentPart: A class that can be one of several variants.union

Final immutable content part visible on persisted messages.

ContentPartText
Type type
ContentPartStructuredAction
Type type
ContentPartChart
Type type
ContentPartSuggestedActions
Type type
ContentPartCustom
Type type
enum MessageOutcome:

Immutable terminal outcome for a finalized assistant message.

COMPLETED("completed")
ERRORED("errored")
CANCELED("canceled")
enum MessageRole:

Finalized message role in the public contract.

USER("USER")
ASSISTANT("ASSISTANT")
class Thread:

Thread metadata.

String id
LocalDateTime createdAt
String title
LocalDateTime updatedAt
class TurnContext:

Client snapshots attached to one instant-chat user message.

Context is separate from visible message text and does not grant account access. The compact JSON representation must not exceed 64 KiB.

List<ContextItem> items

One to four snapshots. Each snapshot’s data may contain at most 32 levels of nesting.

Data data

Relevant widget data, selections, and units. Use strings for exact decimals and large IDs.

String kind

Nonblank descriptive kind. New kinds do not require a backend release.

minLength1
String label

Nonblank attachment label for conversation rendering.

minLength1
Optional<LocalDateTime> capturedAt

Client-reported snapshot time. Omit when unknown.

formatdate-time